Skip to content
GAMPEONCreate
New project

Change caption or position

PATCH
/v1/projects/{slug}/gallery/{id}
curl --request PATCH \
--url https://api.gampeon.com/v1/projects/example/gallery/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "caption": "example", "position": 1 }'

Everyone who can edit the project (owner, or owners and admins of its studio). position moves the item (0 = first).

Not available with access tokens.

Rate limit: 120 edits per hour per account.

slug
required
string
/^[a-z0-9][a-z0-9-]{1,30}[a-z0-9]$/

Project slug

id
required
string
/^[a-f0-9]{16}$/

Gallery item ID (16 hex characters)

Media typeapplication/json
object
caption
string
<= 140 characters
position
integer

Example generated

{
"caption": "example",
"position": 1
}

The whole gallery in the new order

Media typeapplication/json
object
gallery
required
Array
One of:
object
id
required
string
type
required
Allowed value: image
url
required
One of:

Image path (/v1/media/…). null only for the team when moderation removed the image

string
width
required
integer
height
required
integer
caption
required
string
removed

Only for the team: removed by moderation

boolean

Example

{
"gallery": [
{
"type": "image"
}
]
}

Error codes: invalid_field

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: unauthorized

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: token_not_allowed, forbidden, project_hidden

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: not_found

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Limit: 120 edits per hour per account. Error codes: rate_limited

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback